For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add To Cart

Add to cart

post

Add and update cart

Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32Optional
productPriceinteger · int32Optional
tirePriceinteger · int32Optional
quantityinteger · int32Optional
optionNamestringOptional
optionValueNamestringOptional
varientNamestringOptional
productVarientOptionIdstringOptional
skuNamestringOptional
typestringOptional
vendorIdstringOptional
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int-32Optional
modifiedDatestring · date-timeOptional
idinteger · int-32Optional
productIdinteger · int-32Optional
customerIdinteger · int-32Optional
namestringOptional
quantitystringOptional
productPricestringOptional
tirePriceinteger · int-32Optional
totalinteger · int-32Optional
skuNamestringOptional
vendorIdinteger · int-32Optional
productVarientOptionIdinteger · int-32Optional
post/customer-cart/add-cart
POST /customer-cart/add-cart HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 206

"productId=1&productPrice=1&tirePrice=1&quantity=1&optionName='text'&optionValueName='text'&varientName='text'&productVarientOptionId='text'&skuName='text'&type='text'&vendorId='text'"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "id": 1,
  "productId": 1,
  "customerId": 1,
  "name": "text",
  "quantity": "text",
  "productPrice": "text",
  "tirePrice": 1,
  "total": 1,
  "skuName": "text",
  "vendorId": 1,
  "productVarientOptionId": 1
}

Customer cart list

get

List of customer cart

Query parameters
limitintegerOptional
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the cart count. " or " Successfully got the cart list.
get/customer-cart/customer-cart-list
GET /customer-cart/customer-cart-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the cart count. \" or \" Successfully got the cart list."
}

Delete cart item

post

Delete a cart item

Header parameters
AuthorizationstringRequired
Body
cartIdinteger · int32Optional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: your cart is empty. " or " Removed from the cart
post/customer-cart/delete-cart-item
POST /customer-cart/delete-cart-item HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 12

"cartId=1"
{
  "status": 1,
  "message": "your cart is empty. \" or \" Removed from the cart"
}

Last updated